@extends('cms::admin.layouts.app')

@section('content')
    <div class="card card-body">
        <div class="table-responsive">
            <table class="table-styled">
                <thead>
                <tr class="collspan-count">
                    <th class="fit-width">@lang('cms::admin.name')</th>
                    <th class="fit-width">@lang('cms::admin.status')</th>
                </tr>
                </thead>
                <tbody>
                @forelse($items as $item)
                    <tr>
                        <th>{{$item['label']}}</th>
                        <td>{{$item['is_active']}}</td>
                        <td class="text-right text-nowrap">
                            <a href="{{route('cms.'. $method .'.edit', $item['code'])}}"
                               class="btn btn-outline-success btn-sm"><i class="fas fa-edit"></i>
                                <span class="d-none d-md-inline">@lang('cms::admin.edit')</span></a>
                        </td>
                    </tr>
                @empty
                    <tr>
                        <td class="text-muted text-center" data-colspan>@lang('cms-fixed::admin.no_data')</td>
                    </tr>
                @endforelse
                </tbody>

            </table>
        </div>
    </div>
@endsection
