<?php

namespace TDevAgency\DeliveriesPayments\Providers;

use Illuminate\Support\ServiceProvider;
use TDevAgency\Cms\Traits\ServiceProviderHelper;
use TDevAgency\DeliveriesPayments\Facades\Delivery;
use TDevAgency\DeliveriesPayments\Facades\Payment;

class DeliveryPaymentServiceProvider extends ServiceProvider
{

    use ServiceProviderHelper;

    /**
     * @var string
     */
    private const ROOT_PATH = __DIR__ . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR;

    private $viewsPath;

    public function __construct($app)
    {
        parent::__construct($app);
        $this->viewsPath = self::ROOT_PATH . 'resources' . DIRECTORY_SEPARATOR . 'views';
    }

    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->alias('Payment', Payment::class);
        $this->app->alias('Delivery', Delivery::class);

        $this->mergeConfigFrom(
            self::ROOT_PATH . 'config' . DIRECTORY_SEPARATOR . 'config.php', 'deliveries_payments'
        );
        $this->mergeConfigFrom(
            self::ROOT_PATH . 'config' . DIRECTORY_SEPARATOR . 'cms_admin_sidebar.php', 'cms_admin_sidebar'
        );
        $this->mergeConfigFrom(
            self::ROOT_PATH . 'config' . DIRECTORY_SEPARATOR . 'cms.php', 'cms'
        );
    }

    public function boot()
    {

        $this->loadViewsFrom($this->viewsPath . DIRECTORY_SEPARATOR . 'payments', 'payments');
        $this->loadViewsFrom($this->viewsPath. DIRECTORY_SEPARATOR . 'payments', 'deliveries');
    }


}
